<template>

       <!-- 
            v-show="loggedNormal" <-- si estas leguado como paciente 
            v-show="loggedDoctor" <-- si estas logueado como doctor 
            v-show="logged" <-- si estas logueado como cualquier tipo de usuario
        -->
        
  <div id="app">

    <header class="header">
      <div  class="header_left"> 
        <ul class="header_menu">
          <li>
            <router-link :to="{ name:'Home' }">
              <i class="icon-logoneedoc header_size-logoneedoc"></i>
            </router-link> 
          </li> 
        </ul>
      </div>

      <div class="header_right">
          <nav class="header_nav">
            <ul class="header_navbar">
              
            <li  v-show="!logged">
              <router-link :to="{ name:'Register' }" class="header_initial_menu" >Registro</router-link>
            </li>
            <li class="header_initial_menu" v-show="!logged" >
              <router-link :to="{ name:'Login' }">Login</router-link>
            </li>

            <!-- boton para mostrar menu personal una vez logueado -->
            <li  class="header_item" v-show="logged"  >
                <a href="#" class="header_link">
                  <transition name="slide-fade">
                    
                    <button class="header-button" v-if="show" key="on" @click="show = false">
                      Mi perfil
                    </button>
                    <button class="header-button header-regards_ico" v-else key="off" @click="show = true">
                      <div>
                        <p v-if="isMorning()" class="header-regards">Buenos días!</p>
                        <p v-else  class="header-regards">Buenas tardes!</p>
                        <p class="header-username">{{ username }} </p>
                      </div>
                      <div>
                        <i class="header-regardico-size icon-down-open"></i>
                      </div>
                    </button>
                  </transition>
                </a>
            </li>
            <!-- fin boton mostrar menu personal una vez logueado -->

            <!-- menu desplegable -->
            <li class="header_item" v-show="logged"   >
                <transition name="dropdown">
                  <div class="dropdown_menu" v-bind:class="{ active: show }" v-if="show">
                    <ul>
                      <li @click="show = false">
                        <a href="#" class="dropdown_menu-link" title="Account" >
                          <div class="dropdown_menu-icon">
                            <i class="icon-search"></i>
                          </div>
                          <div class="dropdown_menu-text">
                            <router-link class="menu-text" v-show="logged" :to="{ name:'doctor' }" >Buscar doctor</router-link>
                          </div>
                        </a>
                      </li>
                      <hr>
                      <li @click="show = false">
                        <a href="#" class="dropdown_menu-link" title="Account">
                          <div class="dropdown_menu-icon">
                            <i class="icon-inbox"></i>
                          </div>
                          <div class="dropdown_menu-text">
                            <router-link class="menu-text" v-show="logged" :to="{ name:'Inbox' }">Bandeja de entrada</router-link>
                          </div>
                        </a>
                      </li>

                      <li @click="show = false">
                        <a href="#" class="dropdown_menu-link" title="Account">
                          <div class="dropdown_menu-icon">
                            <i class="icon-folder"></i>
                        </div>
                          <div class="dropdown_menu-text">
                            <router-link class="menu-text" v-show="logged" :to="{ name:'sentmail' }">Consultas enviadas</router-link>
                          </div>
                        </a>
                      </li>

                      <li @click="show = false" v-show="loggedNormal" >
                        <a href="#" class="dropdown_menu-link" title="Account">
                          <div class="dropdown_menu-icon">
                            <i class="icon-paper-plane"></i>
                          </div>
                          <div class="dropdown_menu-text">
                            <router-link class="menu-text" :to="{ name:'Send' }">Enviar Consulta</router-link>
                          </div>
                        </a>
                      </li>
                      <hr>

                      <li @click="show = false">
                        <a href="#" class="dropdown_menu-link" title="Account">
                          <div class="dropdown_menu-icon">
                            <i class="icon-user-1"></i>
                          </div>
                          <div class="dropdown_menu-text">
                            <!-- ruta perfil paciente -->
                            <router-link class="menu-text" v-show="loggedNormal" :to="{ name:'User' }" >Editar perfil</router-link> 
                            <!-- ruta perfil doctor -->
                            <router-link class="menu-text" v-show="loggedDoctor" :to="{ name:'Doc' }">Editar Perfil</router-link>
                          </div>
                        </a>
                      </li>
                      <li @click="show = false">
                        <a href="#" class="dropdown_menu-link" title="Account">
                          
                          <div class="dropdown_menu-text">
                            <button v-show="logged"  @click="logoutUser()" class="button-prime"><i class="icon-login"></i> Cerrar sesión</button>
                          </div>
                        </a>
                      </li>

                    </ul>
                  </div>
                </transition>
            </li>
            <!-- fin menu desplegable -->
            </ul>
          </nav>
      </div>

    </header>

    <body>
      <!-- secciones interiores -->
      <router-view @login="obtainDataLocalStorage" class="container" />
    </body>

    <footer>
      <!-- footer -->
      <footercustom/>
    </footer>
  </div>
</template>

<script>
import { logout } from '../../backend/utils/utils' // logout
import { getName } from '../../backend/utils/utils' // traemos el nombre de usuario para el menu
import { getIsAdmin } from '../../backend/utils/utils' // traemos el role de usuario para el menu
import { isLoggedIn } from '../../backend/utils/utils' // comprobamos que está logueado
import moment from 'moment' // trabajar con fechas 
import logomenu from '../../frontend/src/plugins/logotiposvg' // importamo logotipo
import '../src/assets/styles/normalize.css' // normalize

import footercustom from '@/components/FooterCustom.vue';


export default {
  data(){

    return {
      username:'',
      logged: false, // ocultar campos si no estas logeado
      loggedNormal: false, // ocultar campos si no estas logeado
      loggedDoctor: false, // ocultar campos si no estas logeado
      
      show: false // ocultar enlace del menu

    }
  },
  components:{
    logomenu,
    footercustom
  },
  methods: {
    
    setUserName(){
      this.username = getName()
    },

    logoutUser(){
      logout() // importamos la función 
      this.logged = '';
      this.loggedNormal = '';
      this.loggedDoctor = '';
      this.$router.push('/') // nos lleva a la url de login
      // location.reload()
    },

    getLogin(){
      this.logged = isLoggedIn()
    },

    getLoginDoctor(){
      this.loggedDoctor = (isLoggedIn() && getIsAdmin() == 'doctor') // si estas logueado como doctor
    },

    getLoginNormal(){
      this.loggedNormal = (isLoggedIn() && getIsAdmin() == 'normal') // si estas logeado como paciente
    },
    
    isMorning() {
      return new Date().getHours() < 12 ? true : false
    },
    
    obtainDataLocalStorage() {
      this.setUserName()
      this.getLogin()
      this.getLoginDoctor()
      this.getLoginNormal()
    }

    
  },

  created(){
    this.obtainDataLocalStorage()
    
    // this.setUserName()
    // this.getLogin()
    // this.getLoginDoctor()
    // this.getLoginNormal()
  }
}

</script>

<style>

@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

/* get the required local files */
@font-face {
  font-family: 'fontello';
  src: url('../src/assets/fonts/icons_font/fontello.eot?1160446');
  src: url('../src/assets/fonts/icons_font/fontello.eot?1160446#iefix') format('embedded-opentype'),
       url('../src/assets/fonts/icons_font/fontello.woff2?1160446') format('woff2'),
       url('../src/assets/fonts/icons_font/fontello.woff?1160446') format('woff'),
       url('../src/assets/fonts/icons_font/fontello.ttf?1160446') format('truetype'),
       url('../src/assets/fonts/icons_font/fontello.svg?1160446#fontello') format('svg');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'arr';
  src: url('../src/assets/fonts/icons_font/arr.eot?43258216');
  src: url('../src/assets/fonts/icons_font/arr.eot?43258216#iefix') format('embedded-opentype'),
       url('../src/assets/fonts/icons_font/arr.woff2?43258216') format('woff2'),
       url('../src/assets/fonts/icons_font/arr.woff?43258216') format('woff'),
       url('../src/assets/fonts/icons_font/arr.ttf?43258216') format('truetype'),
       url('../src/assets/fonts/icons_font/arr.svg?43258216#arr') format('svg');
  font-weight: normal;
  font-style: normal;
}

@font-face {
    font-family: 'DM-Serif-Display-Regular';
    src:url('../src/assets/fonts/DM_Serif_Display/DMSerifDisplay-Regular.ttf.woff') format('woff'),
        url('../src/assets/fonts/DM_Serif_Display/DMSerifDisplay-Regular.ttf.svg#DM-Serif-Display-Regular') format('svg'),
        url('../src/assets/fonts/DM_Serif_Display/DMSerifDisplay-Regular.ttf.eot'),
        url('../src/assets/fonts/DM_Serif_Display/DMSerifDisplay-Regular.ttf.eot?#iefix') format('embedded-opentype'); 
    font-weight: normal;
    font-style: normal;
}

.font-prime {
  font-family: 'DM-Serif-Display-Regular';
}


/* ---------------------------------
----------- NORMALIZE --------------
------------------------------------*/



H1, H2, H3, H4, P {
  margin: 0;
  padding: 0;
}




/* VARIABLES GENERALES */
:root {
  /* font-family */
  --font-primary: 'Roboto';

  /* font size */
  --font-size-05: 0.5rem;
  --font-size-075: 0.75rem;
  --font-size-0875: 0.875rem;
  --font-size-125: 1.25rem;
  --font-size-15: 1.5rem;
  --font-size-2: 2rem;
  --font-size-25: 2.5rem;
  --font-size-3: 3rem;
  --font-size-4: 4rem;
  --font-size-6: 6rem;

   /* spacer */
  --spacer-05: 0.5rem;
  --spacer-075: 0.75rem;
  --spacer-0875: 0.875rem;
  --spacer-125: 1.25rem;
  --spacer-15: 1.5rem;
  --spacer-2: 2rem;
  --spacer-25: 2.5rem;
  --spacer-4: 4rem;
  --spacer-6: 6rem;


  /* colors */
  --color-general-white: white;
  --color-general-whitesmoke: whitesmoke;
  --color-general-lightgrey: #cfd8dc;
  --color-general-gray: #cfd8dc;
  --color-general-graymedium:#b3b3b3;
  --color-general-black:  rgba(0, 0, 0, 0.6);

  --color-general-salmon: #ff8a80;

  --color-general-salmonDark: #d6716b;

  --color-general-green: #26cb9c; 

  /* spacers */

  /* size */

}
/* CSS GENERALES */
body {
  font-size: var(--font-size-0875);
  font-weight: 300;
  font-family: 'Roboto';
  }

ul {
  list-style:none;
  padding-inline-start: 0px;

}
H1 {
  font-size: var(--font-size-3) ;
}

H2 {
  font-size: var(--font-size-2) ;
}

H3 {
  font-size: var(--font-size-15) ;
}

H4 {
  font-size: var(--font-size-125) ;
  font-weight: 300;
  margin-bottom: var(--spacer-25);
}

H1, H2, H3 {
  font-family: DM-Serif-Display-Regular;
}

.color-prime {
  color:var(--color-general-salmon)
}

.color-prime-doctor {
  color:var(--color-general-green)
}

.bordercolor-prime {
  color:var(--color-general-salmon)
}

.bordercolor-prime-doctor {
  color:var(--color-general-green)
}



/* enlaces */

a {
  color: var(--color-general-salmon);
  text-decoration: none;
  }
a:hover {
  text-decoration: underline;

}


/*  botones  */

  .button-prime { 
  background-color: var(--color-general-salmon);
  border: 1px solid var(--color-general-salmon);
  color: white;
  padding: 12px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: var(--font-size-0875);
  /* margin: 30px 16px 16px 0; */
  cursor: pointer;
  border-radius: 4px;
  }
  .button-prime:hover { 
  background-color: var(--color-general-white);
  color: var(--color-general-salmon);
  
  }
  .button-return { 
    background-color: var(--color-general-white);
    border: none;
    color: var(--color-general-salmon);
    padding: 12px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: var(--font-size-0875);
    /* margin: 30px 16px 16px 0; */
    cursor: pointer;
    border-radius: 4px;
  }
  .button-return:hover { 
    background-color: var(--color-general-white);
    color: var(--color-general-salmon);
    text-decoration: underline;
  }

  .button-prime-border { 
    background-color: var(--color-general-white);
    border: 1px solid var(--color-general-salmon);
    color: var(--color-general-salmon);
    padding: 12px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: var(--font-size-0875);
    /* margin: 30px 16px 16px 0; */
    cursor: pointer;
    border-radius: 4px;
  }
  .button-prime-border:hover { 
    background-color: var(--color-general-salmon);
    color: var(--color-general-white);
  }

  .button-prime-border-green { 
    background-color: var(--color-general-white);
    border: 1px solid var(--color-general-green);
    color: var(--color-general-green);
    padding: 12px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: var(--font-size-0875);
    /* margin: 30px 16px 16px 0; */
    cursor: pointer;
    border-radius: 4px;
  }
  .button-prime-border-green:hover { 
    background-color: var(--color-general-green);
    color: var(--color-general-white);
  }

.button-second { 
  background-color: rgba(255, 138, 128, 0);
  border: 1px solid var(--color-general-salmon);
  color: var(--color-general-salmon);
  padding: 10px 25px;
  margin: 5px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: var(--font-size-075);
  /* margin: 30px 16px 16px 0; */
  cursor: pointer;
  border-radius: 4px;
  transition: all 0.5s ease;
}
.button-second:hover  {
    background-color: rgba(255, 138, 128, 01);
    color: var(--color-general-white);
    margin-top: 15px;
}


/* ------------------------------
------------ HEADER ------------- 
---------------------------------*/

.header {
  padding: 2rem 3rem 2rem 5rem;
  /* height: 3rem; */
  display: flex;
  justify-content:space-around;
  } 

.header_left{
  width: 100%;

}
.header_right{
  width: 100%;
}

.header_nav {
  position: relative;
  }

.header_menu{
  display: flex;
  align-items: center;
  justify-content: flex-start;
  }

.header_navbar{
  display: flex;
  align-items: center;
  justify-content: flex-end;

  }

.header_item {
  padding: 1rem;
  }

.header-button {
  top: 0;
  right: 0;
  position: absolute;
  margin: 0;
  padding: 0;
  color: var(--color-general-black);
  cursor: pointer;
  border: 1px solid transparent;
  background-color: transparent;
  text-align: right;
  font-size: 0.8rem;

  }

.header-button > p {
  line-height:1rem;
  font-weight: 300;
  }

.header-username {
  font-weight: bold;
  margin:0;
  }

.header-regards {
  font-size: var( --font-size-0875);
  margin:0;
  }

.header-regards_ico {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  }

.header-regardico-size {
  font-size: var(--font-size-075);
  padding-left: 10px;
  }

.header_sizelogo{
  width: 6rem;
  }
.header_initial_menu{
  padding-right: 1rem;
  font-style: 20rem;
  color: var(--color-general-salmon);
  text-decoration: none;
  }


.slogan {
  font-size: var(--font-size-125);
}

/* Animation myProfile */

.slide-fade-enter-active,
.slide-fade-leave-active {
  transition: all 0.6s;
  }
.slide-fade-enter,
.slide-fade-leave-active {
  opacity: 0;
   }
.slide-fade-enter {
   transform: translateX(31px);
  }

hr {
  border: 0;
  height: 0;
  margin: 1.5rem 0;
  border-top: 1px solid var(--color-general-gray);
}


/* logotipo */
.header_size-logoneedoc{
  font-size: var(--font-size-15);
  color:var(--color-general-salmon);
}

  /* Estiles menu desplegable */

.dropdown_menu {
  top: 100%;
  right: 0;
  position: absolute;
  z-index: 10;
  height: 25rem;
  min-width: 200px;
  margin-top: 1rem;
  overflow-y: auto;
  padding: var(--spacer-15);
  border-radius: 5px;
  background-color: white;
  border: 1px solid var(--color-general-gray);
  }
   
.dropdown_menu-link{
  display: flex;
  align-items: center;
  justify-content: flex-start;
  text-decoration: none;
  color:var(--color-general-lightgrey);
  padding: var(--spacer-0875);
  }

.dropdown_menu-link:hover {
  color: var(--color-general-salmon);
  background-color: rgba(79, 192, 141, 0.1);
  }

.dropdown_menu-icon {
  width: 1.5rem;
  height: 1.5rem;
  font-size:var(--font-size-0875);
  }

.dropdown_menu-text {
  font-weight: 300;
  margin-left: 1rem;
  margin-right: 1rem;
  }

.menu-text {
    color:var(--color-general-salmonDark);
    font-size:var(--font-size-0875);
    text-decoration: none;
  }

  
/* Animacion menu desplegable */

.dropdown-enter-active,
.dropdown-leave-active {
  transition: all 1s;
  }
.dropdown-enter,
.dropdown-leave-to {
  opacity: 0;
  transform: translateY(30px);
  }

 /* cambiar puntero cursor */
.cursor-pointer {
  cursor:pointer;
  }
.cursor-no-drop {
   cursor: no-drop;
  }

/* ------------------------------
--------- SPACER ----------- 
---------------------------------*/

.padding-top05 {
  padding-top: var(--spacer-05);
}
.padding-top075 {
  padding-top: var(--spacer-075);
}
.padding-top0875 {
  padding-top: var(--spacer-0875);
}
.padding-top125 {
  padding-top: var(--spacer-125);
}
.padding-top15 {
  padding-top: var(--spacer-15);
}
.padding-top2 {
  padding-top: var(--spacer-2);
}
.padding-top25 {
  padding-top: var(--spacer-25);
}
.padding-top4 {
  padding-top: var(--spacer-4);
}
.padding-top6 {
  padding-top: var(--spacer-6);
}

.padding-bot05 {
  padding-bottom: var(--spacer-05);
}
.padding-bot075 {
  padding-bottom: var(--spacer-075);
}
.padding-bot0875 {
  padding-bottom: var(--spacer-0875);
}
.padding-bot125 {
  padding-bottom: var(--spacer-125);
}
.padding-bot15 {
  padding-bottom: var(--spacer-15);
}
.padding-bot2 {
  padding-bottom: var(--spacer-2);
}
.padding-bot25 {
  padding-bottom: var(--spacer-25);
}
.padding-bot4 {
  padding-bottom: var(--spacer-4);
}
.padding-bot6 {
  padding-bottom: var(--spacer-6);
}


.margin-top05 {
  margin-top: var(--spacer-05);
}
.margin-top075 {
  margin-top: var(--spacer-075);
}
.margin-top0875 {
  margin-top: var(--spacer-0875);
}
.margin-top125 {
  margin-top: var(--spacer-125);
}
.margin-top15 {
  margin-top: var(--spacer-15);
}
.margin-top2 {
  margin-top: var(--spacer-2);
}
.margin-top25 {
  margin-top: var(--spacer-25);
}
.margin-top4 {
  margin-top: var(--spacer-4);
}
.margin-top6 {
  margin-top: var(--spacer-6);
}

.margin-bot05 {
  margin-bottom: var(--spacer-05);
}
.margin-bot075 {
  margin-bottom: var(--spacer-075);
}
.margin-bot0875 {
  margin-bottom: var(--spacer-0875);
}
.margin-bot125 {
  margin-bottom: var(--spacer-125);
}
.margin-bot15 {
  margin-bottom: var(--spacer-15);
}
.margin-bot2 {
  margin-bottom: var(--spacer-2);
}
.margin-bot25 {
  margin-bottom: var(--spacer-25);
}
.margin-bot4 {
  margin-bottom: var(--spacer-4);
}
.margin-bot6 {
  margin-bottom: var(--spacer-6);
}


.padding-right05 {
  padding-right: var(--spacer-05);
}
.padding-right075 {
  padding-right: var(--spacer-075);
}
.padding-right0875 {
  padding-right: var(--spacer-0875);
}
.padding-right125 {
  padding-right: var(--spacer-125);
}
.padding-right15 {
  padding-right: var(--spacer-15);
}
.padding-right2 {
  padding-right: var(--spacer-2);
}
.padding-right25 {
  padding-right: var(--spacer-25);
}
.padding-right4 {
  padding-right: var(--spacer-4);
}
.padding-right6 {
  padding-right: var(--spacer-6);
}


.margin-left-05 {
  margin-left: var(--spacer-05);
}
.margin-right-05 {
  margin-right: var(--spacer-05);
}


/* ------------------------------
--------- ELEMENTS FORM ----------- 
---------------------------------*/
input {
    padding: 0.5rem;
    border: 2px solid var(--color-general-salmon);
    color: var(--color-general-black);
    margin:0.5rem;
    width: 15rem;
    
}
::placeholder {
        color: var(--color-general-graymedium);
}


select {
    padding: 0.5rem;
    border: 2px solid var(--color-general-salmon);
    color: var(--color-general-black);
    margin:0.5rem;
    width: 15rem;
    
}


textarea {
    padding: 0.5rem;
    border: 2px solid var(--color-general-salmon);
    color: var(--color-general-black);
    margin:0.5rem;
    width: 15rem;
    height: 7rem;
    
}



/* ------------------------------
---------CONTAINER ----------- 
---------------------------------*/

.container{
  margin-top: 0rem;
}

.head-hr {
  margin: 0 0 1rem 0;
  border: 1px solid var(--color-general-salmon);
  width: 5rem;
}
.head-hr-doctor {
  margin: 0 0 1rem 0;
  border: 1px solid var(--color-general-green);
  width: 5rem;
}

  

a.button-general { 
  background-color: var(--color-general-salmon);
  border: 1px solid var(--color-general-salmon);
  color: white;
  padding: 12px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: var(--font-size-0875);
  margin: 30px 16px 16px 0;
  cursor: pointer;
  border-radius: 4px;
  }
  a.button-general:hover { 
  background-color: var(--color-general-white);
  color: var(--color-general-salmon);
  
  }




/* ---------------------------------
----------- ALERTS -----------------
------------------------------------*/

@import url('//maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css');

.info-msg,
.success-msg,
.warning-msg,
.error-msg {
  margin: 10px 0;
  padding: 10px;
  border-radius: 3px 3px 3px 3px;
}
.info-msg {
  color: #059;
  background-color: #BEF;
}
.success-msg {
  color: #270;
  background-color: #DFF2BF;
}
.warning-msg {
  color: #9F6000;
  background-color: #FEEFB3;
}
.error-msg {
  color: #D8000C;
  background-color: #FFBABA;
}


/* icons */

 
 [class^="icon-"]:before, [class*=" icon-"]:before {
  font-family: "fontello";
  font-style: normal;
  font-weight: normal;
  speak: never;
 
  display: inline-block;
  text-decoration: inherit;
  width: 1em;
  margin-right: .2em;
  text-align: center;
  /* opacity: .8; */
 
  /* For safety - reset parent styles, that can break glyph codes*/
  font-variant: normal;
  text-transform: none;
 
  /* fix buttons height, for twitter bootstrap */
  line-height: 1em;
 
  /* Animation center compensation - margins should be symmetric */
  /* remove if not needed */
  margin-left: .2em;
 
  /* you can be more comfortable with increased icons size */
  /* font-size: 120%; */
 
  /* Font smoothing. That was taken from TWBS */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
 
  /* Uncomment for 3D effect */
  /* text-shadow: 1px 1px 1px rgba(127, 127, 127, 0.3); */
}


 [class^="iconneed-"]:before, [class*=" iconneed-"]:before {
  font-family: "arr";
  font-style: normal;
  font-weight: normal;
  speak: never;
 
  display: inline-block;
  text-decoration: inherit;
  width: 1em;
  margin-right: .2em;
  text-align: center;
  /* opacity: .8; */
 
  /* For safety - reset parent styles, that can break glyph codes*/
  font-variant: normal;
  text-transform: none;
 
  /* fix buttons height, for twitter bootstrap */
  line-height: 1em;
 
  /* Animation center compensation - margins should be symmetric */
  /* remove if not needed */
  margin-left: .2em;
 
  /* you can be more comfortable with increased icons size */
  /* font-size: 120%; */
 
  /* Font smoothing. That was taken from TWBS */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
 
  /* Uncomment for 3D effect */
  /* text-shadow: 1px 1px 1px rgba(127, 127, 127, 0.3); */
}
 
.icon-emo-happy:before { content: '\e800'; } /* '' */
.icon-emo-wink:before { content: '\e801'; } /* '' */
.icon-emo-unhappy:before { content: '\e802'; } /* '' */
.icon-heart:before { content: '\e803'; } /* '' */
.icon-heart-empty:before { content: '\e804'; } /* '' */
.icon-star-empty:before { content: '\e805'; } /* '' */
.icon-star:before { content: '\e806'; } /* '' */
.icon-star-half:before { content: '\e807'; } /* '' */
.icon-emo-coffee:before { content: '\e808'; } /* '' */
.icon-chat:before { content: '\e809'; } /* '' */
.icon-eye-off:before { content: '\e80a'; } /* '' */
.icon-eye:before { content: '\e80b'; } /* '' */
.icon-down-open:before { content: '\e80c'; } /* '' */
.icon-up-open:before { content: '\e80d'; } /* '' */
.icon-search:before { content: '\e80e'; } /* '' */
.icon-emo-cry:before { content: '\e80f'; } /* '' */
.icon-user-1:before { content: '\e810'; } /* '' */
.icon-login:before { content: '\e811'; } /* '' */
.icon-emo-laugh:before { content: '\e812'; } /* '' */
.icon-mail:before { content: '\e813'; } /* '' */
.icon-inbox:before { content: '\e814'; } /* '' */
.icon-trash-empty:before { content: '\e815'; } /* '' */
.icon-bookmark:before { content: '\e816'; } /* '' */
.icon-folder:before { content: '\e817'; } /* '' */
.icon-logoneedoc:before { content: '\e818'; } /* '' */
.icon-chat-empty:before { content: '\f0e6'; } /* '' */
.icon-user-md:before { content: '\f0f0'; } /* '' */
.icon-stethoscope:before { content: '\f0f1'; } /* '' */
.icon-bell-alt:before { content: '\f0f3'; } /* '' */
.icon-star-half-alt:before { content: '\f123'; } /* '' */
.icon-gittip:before { content: '\f184'; } /* '' */
.icon-git-squared:before { content: '\f1d2'; } /* '' */
.icon-paper-plane:before { content: '\f1d8'; } /* '' */
.icon-trash:before { content: '\f1f8'; } /* '' */
.icon-toggle-off:before { content: '\f204'; } /* '' */
.icon-toggle-on:before { content: '\f205'; } /* '' */
.icon-twitter-squared:before { content: '\f304'; } /* '' */
.icon-linkedin-squared:before { content: '\f30c'; } /* '' */
.iconneed-camera:before { content: '\e81a'; } /* '' */
.iconneed-video-chat:before { content: '\e817'; } /* '' */
.iconneed-heart-circled:before { content: '\e815'; }
.iconneed-cancel:before { content: '\e819'; } /* '' */


 @media (max-width: 450px) {
 
   h1{
    font-size: var(--font-size-2) ;
   }
 }
/* font-size */


/* ANIMATIONS */

@keyframes messages-list {
  0%   {
    box-shadow: 0px 3px 8px -2px rgba(0,0,0,0.1)
    }

  100% {
    box-shadow: 0px 3px 8px -2px rgba(0,0,0,0.2);
    padding:var(--spacer-2) 1rem;
    margin-bottom:var(--spacer-0875);
    }
    
}

</style>
